| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
pfm_pebs_core_smpl_entry_t Struct Reference

`#include <src/component/perfmon/perfmon_pebs_core_smpl.h>`

## Public Attributes
uint64_t | eflags
uint64_t | ip
uint64_t | eax
uint64_t | ebx
uint64_t | ecx
uint64_t | edx
uint64_t | esi
uint64_t | edi
uint64_t | ebp
uint64_t | esp
uint64_t | r8
uint64_t | r9
uint64_t | r10
uint64_t | r11
uint64_t | r12
uint64_t | r13
uint64_t | r14
uint64_t | r15

## Detailed Description

Definition at line 111 of file perfmon_pebs_core_smpl.h.

## Member Data Documentation

uint64_t pfm_pebs_core_smpl_entry_t::eax

Definition at line 114 of file perfmon_pebs_core_smpl.h.

uint64_t pfm_pebs_core_smpl_entry_t::ebp

Definition at line 120 of file perfmon_pebs_core_smpl.h.

uint64_t pfm_pebs_core_smpl_entry_t::ebx

Definition at line 115 of file perfmon_pebs_core_smpl.h.

uint64_t pfm_pebs_core_smpl_entry_t::ecx

Definition at line 116 of file perfmon_pebs_core_smpl.h.

uint64_t pfm_pebs_core_smpl_entry_t::edi

Definition at line 119 of file perfmon_pebs_core_smpl.h.

uint64_t pfm_pebs_core_smpl_entry_t::edx

Definition at line 117 of file perfmon_pebs_core_smpl.h.

uint64_t pfm_pebs_core_smpl_entry_t::eflags

Definition at line 112 of file perfmon_pebs_core_smpl.h.

uint64_t pfm_pebs_core_smpl_entry_t::esi

Definition at line 118 of file perfmon_pebs_core_smpl.h.

uint64_t pfm_pebs_core_smpl_entry_t::esp

Definition at line 121 of file perfmon_pebs_core_smpl.h.

uint64_t pfm_pebs_core_smpl_entry_t::ip

Definition at line 113 of file perfmon_pebs_core_smpl.h.

uint64_t pfm_pebs_core_smpl_entry_t::r10

Definition at line 124 of file perfmon_pebs_core_smpl.h.

uint64_t pfm_pebs_core_smpl_entry_t::r11

Definition at line 125 of file perfmon_pebs_core_smpl.h.

uint64_t pfm_pebs_core_smpl_entry_t::r12

Definition at line 126 of file perfmon_pebs_core_smpl.h.

uint64_t pfm_pebs_core_smpl_entry_t::r13

Definition at line 127 of file perfmon_pebs_core_smpl.h.

uint64_t pfm_pebs_core_smpl_entry_t::r14

Definition at line 128 of file perfmon_pebs_core_smpl.h.

uint64_t pfm_pebs_core_smpl_entry_t::r15

Definition at line 129 of file perfmon_pebs_core_smpl.h.

uint64_t pfm_pebs_core_smpl_entry_t::r8

Definition at line 122 of file perfmon_pebs_core_smpl.h.

uint64_t pfm_pebs_core_smpl_entry_t::r9

Definition at line 123 of file perfmon_pebs_core_smpl.h.

The documentation for this struct was generated from the following files:

- GaudiProfiling/src/component/perfmon/perfmon_pebs_core_smpl.h
- GaudiProfiling/src/component/perfmon/perfmon_pebs_smpl.h